/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/filesystem/baseio.hpp

*/

#ifndef SGX_FILESYSTEM_BASEIO_HPP
#define SGX_FILESYSTEM_BASEIO_HPP	1

// read data
CSGXFile& operator>>(CSGXFile&, tUINT32 &val);
CSGXFile& operator>>(CSGXFile&, tINT32 &val);
CSGXFile& operator>>(CSGXFile&, tUINT16 &val);
CSGXFile& operator>>(CSGXFile&, tINT16 &val);
CSGXFile& operator>>(CSGXFile&, tUINT8 &val);
CSGXFile& operator>>(CSGXFile&, tINT8 &val);
CSGXFile& operator>>(CSGXFile&, float &val);
CSGXFile& operator>>(CSGXFile&, sgxString &str);


// write data
CSGXFile& operator<<(CSGXFile&, const tUINT32 &val);
CSGXFile& operator<<(CSGXFile&, const tINT32 &val);
CSGXFile& operator<<(CSGXFile&, const tUINT16 &val);
CSGXFile& operator<<(CSGXFile&, const tINT16 &val);
CSGXFile& operator<<(CSGXFile&, const tUINT8 &val);
CSGXFile& operator<<(CSGXFile&, const tINT8 &val);
CSGXFile& operator<<(CSGXFile&, const float &val);
CSGXFile& operator<<(CSGXFile&, const sgxString &str);

#endif /* SGX_FILESYSTEM_BASEIO_HPP */
